## org.eclipse.emf.cdo.common.model
Interface CDOType

    public interface CDOType

Since:
  2.0

Field Summary
`static CDOType` `BIG_DECIMAL`
`static CDOType` `BIG_INTEGER`
`static CDOType` `BOOLEAN`
`static CDOType` `BOOLEAN_OBJECT`
`static CDOType` `BYTE`
`static CDOType` `BYTE_ARRAY`
`static CDOType` `BYTE_OBJECT`
`static CDOType` `CHAR`
`static CDOType` `CHARACTER_OBJECT`
`static CDOType` `CUSTOM`
`static CDOType` `DATE`
`static CDOType` `DOUBLE`
`static CDOType` `DOUBLE_OBJECT`
`static CDOType` `ENUM`
`static CDOType` `FEATURE_MAP_ENTRY`
`static CDOType` `FLOAT`
`static CDOType` `FLOAT_OBJECT`
`static CDOType` `INT`
`static CDOType` `INTEGER_OBJECT`
`static CDOType` `LONG`
`static CDOType` `LONG_OBJECT`
`static CDOType` `OBJECT`
`static CDOType` `SHORT`
`static CDOType` `SHORT_OBJECT`
`static CDOType` `STRING`

Method Summary
`java.lang.Object` `adjustReferences(CDOReferenceAdjuster adjuster, java.lang.Object value)`
`boolean` `canBeNull()`
`java.lang.Object` `convertToCDO(org.eclipse.emf.ecore.EClassifier feature, java.lang.Object value)`
`java.lang.Object` `convertToEMF(org.eclipse.emf.ecore.EClassifier feature, java.lang.Object value)`
`java.lang.Object` `copyValue(java.lang.Object value)`
`java.lang.Object` `getDefaultValue()`
`java.lang.String` `getName()`
`int` `getTypeID()`
`java.lang.Object` `readValue(CDODataInput in)`
`void` `writeValue(CDODataOutput out, java.lang.Object value)`

Field Detail

### OBJECT

    static final CDOType OBJECT

### BOOLEAN

    static final CDOType BOOLEAN

### BOOLEAN_OBJECT

    static final CDOType BOOLEAN_OBJECT

### BYTE

    static final CDOType BYTE

### BYTE_OBJECT

    static final CDOType BYTE_OBJECT

### CHAR

    static final CDOType CHAR

### CHARACTER_OBJECT

    static final CDOType CHARACTER_OBJECT

### DATE

    static final CDOType DATE

### DOUBLE

    static final CDOType DOUBLE

### DOUBLE_OBJECT

    static final CDOType DOUBLE_OBJECT

### FLOAT

    static final CDOType FLOAT

### FLOAT_OBJECT

    static final CDOType FLOAT_OBJECT

### INT

    static final CDOType INT

### INTEGER_OBJECT

    static final CDOType INTEGER_OBJECT

### LONG

    static final CDOType LONG

### LONG_OBJECT

    static final CDOType LONG_OBJECT

### SHORT

    static final CDOType SHORT

### SHORT_OBJECT

    static final CDOType SHORT_OBJECT

### STRING

    static final CDOType STRING

### BYTE_ARRAY

    static final CDOType BYTE_ARRAY

### BIG_DECIMAL

    static final CDOType BIG_DECIMAL

Since:
  2.0

### BIG_INTEGER

    static final CDOType BIG_INTEGER

Since:
  2.0

### ENUM

    static final CDOType ENUM

Since:
  2.0

### CUSTOM

    static final CDOType CUSTOM

### FEATURE_MAP_ENTRY

    static final CDOType FEATURE_MAP_ENTRY

Since:
  2.0

Method Detail

### getName

    java.lang.String getName()

### getTypeID

    int getTypeID()

### canBeNull

    boolean canBeNull()

### getDefaultValue

    java.lang.Object getDefaultValue()

### copyValue

    java.lang.Object copyValue(java.lang.Object value)

### adjustReferences

    java.lang.Object adjustReferences(CDOReferenceAdjuster adjuster,
                                      java.lang.Object value)

  Since:
    2.0

### readValue

    java.lang.Object readValue(CDODataInput in)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`
  Since:
    2.0

### writeValue

    void writeValue(CDODataOutput out,
                    java.lang.Object value)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`
  Since:
    2.0

### convertToEMF

    java.lang.Object convertToEMF(org.eclipse.emf.ecore.EClassifier feature,
                                  java.lang.Object value)

  Since:
    2.0

### convertToCDO

    java.lang.Object convertToCDO(org.eclipse.emf.ecore.EClassifier feature,
                                  java.lang.Object value)

  Since:
    2.0

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.